from mastodon import Mastodon
from pprint import pprint
import time
import datetime

mastodon = Mastodon(
    access_token = '2e2c955d0ac906d8ac59863ea479ce061a88774e72e8b76bc2d764d28ba363ff',
    api_base_url = 'https://todon.nl'
)

descendants = mastodon.status_context(id=101767654564328802)["descendants"]

for answer in descendants:
    pprint(answer["id"])
    #geral = mastodon.status(answer["id"]))
    avatar = mastodon.status(answer["id"])['account']['avatar']
    name = mastodon.status(answer["id"])['account']['display_name']
    bot = mastodon.status(answer["id"])['account']['bot']
    content = mastodon.status(answer["id"])['content']
    pprint("Avatar:" + "\n" + str(avatar) + "\n" + "\n")
    pprint("Name:" + "\n" + str(name) + "\n" + "\n")
    pprint("Bot:" + "\n" + str(bot) + "\n" + "\n")
    pprint("Content:" + "\n" + str(content) + "\n" + "\n")
    time.sleep(3)
